Moneydance upgrade to 2024.1

Mike Hall's Avatar

Mike Hall

20 Apr, 2024 02:36 PM

I have just upgraded to MoneyDance v 2024.1, having paid the upgrade fee via paddle.com.
During the install of the latest version I got a message from Norton that there was a problem with the download not having a valid certificate. The v2024.1 of Moneydance seems to be installed and working correctly but I would appreciate confirmation that the missing certificate issue has resolved itself.
I also have a message on startup of Moneydance saying that there appears to be a missing java script.
Screen shots of both messsages are attached.
Advice how to resolve the missing script would be appreciated.

  1. 1 Posted by dwg on 20 Apr, 2024 02:57 PM

    dwg's Avatar

    It is pretty typical for Norton to report this with new Moneydance releases, it usually learns over time.

  2. 2 Posted by derekkent23 on 20 Apr, 2024 03:01 PM

    derekkent23's Avatar

    I am not support staff, just a user.
    Hi Mike

    As for the Java script message the place to start is to check all you extensions are up to date.

    Hope this helps.

  3. 3 Posted by Mike Hall on 21 Apr, 2024 08:43 AM

    Mike Hall's Avatar

    I used to have jre installed on my old PC, but I had forgotten to
    install it on this PC. Jre now installed, but the same error message
    appears on starting up MoneyDance.

    Looking more closely at the error message makes me think that MoneyDance
    itself is calling for a java script from within the MoneyDance
    installation that doesn't exist.

    Best regards, Mike Hall

    On 20/04/2024 16:01, derekkent23 wrote:

  4. 4 Posted by dwg on 21 Apr, 2024 08:55 AM

    dwg's Avatar

    Moneydance comes with an embedded version of Java, it does not use any system installed Java at all.

    Moneydance also does not use Java Script.

    The error is one we typically see when you have an obsolete version of an extension installed, hence I would suggest you go into Moneydance's Extension menu and update all your installed extensions. Then restart the software and see if the error is still present.

  5. 5 Posted by sth on 21 Apr, 2024 02:26 PM

    sth's Avatar

    Or run the Toolbox extension and remove leftover extension code that may be from previous versions.
    (NOT IK Support)

  6. 6 Posted by Mike Hall on 22 Apr, 2024 06:35 AM

    Mike Hall's Avatar

    Thanks sth,

    I had an extension for quotes and Fx rates that I haven't used for a
    long time.  I deleted that and the error message no longer appears at
    startup.

    Mike

    On 21/04/2024 15:26, sth wrote:

  7. Maddy closed this discussion on 22 Apr, 2024 09:38 AM.

Comments are currently closed for this discussion. You can start a new one.

Keyboard shortcuts

Generic

? Show this help
ESC Blurs the current field

Comment Form

r Focus the comment reply box
^ + ↩ Submit the comment

You can use Command ⌘ instead of Control ^ on Mac

Recent Discussions

19 May, 2024 09:28 AM
19 May, 2024 07:16 AM
19 May, 2024 02:52 AM
19 May, 2024 02:48 AM
19 May, 2024 02:47 AM